Name:		android-tools
Version:	4.4.2_r2
Release:	%mkrel 5
Summary:	Android platform tools (adb, fastboot, mkbootimg)
# The entire source code is Apache Software License except fastboot/ which is BSD
License:	Apache Software License and BSD
Group:		Development/Tools
URL:		http://developer.android.com/tools/
#http://developer.android.com/guide/developing/tools/
# git clone https://android.googlesource.com/platform/system/core.git && cd core
# git archive android-%%{version} --prefix=core-%%{version}/ adb fastboot libzipfile libcutils libmincrypt libsparse mkbootimg include/cutils include/zipfile include/mincrypt | bzip2 > ../core-%%{version}.tar.bz2
#
# git clone https://android.googlesource.com/platform/system/extras.git && cd extras
# git archive android-%%{version} --prefix=extras/ ext4_utils | bzip2 > ../extras-%%{version}.tar.bz2
Source0:	core-%{version}.tar.bz2
Source1:	extras-%{version}.tar.bz2
Source2:	core-Makefile
Source3:	adb-Makefile
Source4:	fastboot-Makefile
Source5:	mkbootimg-Makefile
Source6:	51-android.rules
Source7:	adb.service
Patch0:		android-tools-4.4.2-ignore-selinux-android.h.patch
Patch1:		android-tools-4.4.2-ignore-android_filesystem_capability.h.patch
BuildRequires:	pkgconfig(libselinux)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(zlib)

Provides:	adb = %{version}-%{release}
Provides:	fastboot = %{version}-%{release}
Provides:	mkbootimg = %{version}-%{release}

%description
The Android Debug Bridge (ADB) is used to:

- keep track of all Android devices and emulators instances
  connected to or running on a given host developer machine

- implement various control commands (e.g. "adb shell", "adb pull", etc.)
  for the benefit of clients (command-line users, or helper programs like
  DDMS). These commands are what is called a 'service' in ADB.

Fastboot is used to manipulate the flash partitions of the Android phone.
It can also boot the phone using a kernel image or root filesystem image
which reside on the host machine rather than in the phone flash.
In order to use it, it is important to understand the flash partition
layout for the phone.
The fastboot program works in conjunction with firmware on the phone
to read and write the flash partitions. It needs the same USB device
setup between the host and the target phone as adb.

For Mageia you must use the following commands :

- adb
- fastboot-android
- mkbootimg

%prep
%setup -q -b 1 -n extras
%autopatch -p1

%setup -q -b 0 -n core-%{version}
cp -pr %{SOURCE2} Makefile
cp -pr %{SOURCE3} adb/Makefile
cp -pr %{SOURCE4} fastboot/Makefile
cp -pr %{SOURCE5} mkbootimg/Makefile

%build
%make

%install
%makeinstall_std

# for 51-android.rules
mkdir -p %{buildroot}%{_udevrulesdir}
install -m 0644 %{SOURCE6} %{buildroot}%{_udevrulesdir}/51-android.rules
# for adb.service
mkdir -p %{buildroot}%{_unitdir}
install -m 0644 %{SOURCE7} %{buildroot}%{_unitdir}/adb.service

%post
%_post_service adb

%preun
%_preun_service adb

%files
%doc adb/OVERVIEW.TXT adb/SERVICES.TXT adb/NOTICE adb/protocol.txt
%{_udevrulesdir}/51-android.rules
%{_unitdir}/adb.service
#Apache Software License
%{_bindir}/adb
%{_bindir}/mkbootimg
#Apache Software License and BSD.
%{_bindir}/fastboot-android


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 4.4.2_r2-5.mga6
+ Revision: 945800
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.4.2_r2-4.mga5
+ Revision: 745743
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.4.2_r2-3.mga5
+ Revision: 677757
- Mageia 5 Mass Rebuild

* Sat Apr 05 2014 daviddavid <daviddavid> 4.4.2_r2-2.mga5
+ Revision: 612018
- add post and preun service to start or stop adb service (since he is a systemd unit file)

* Fri Apr 04 2014 daviddavid <daviddavid> 4.4.2_r2-1.mga5
+ Revision: 611768
- change fastboot to fastboot-android (name already use by lsb-core-noarch)
- imported package android-tools

